##### ssl::stream::write_some (2 of 2 overloads)

Write some data to the stream.

    template<
        typename ConstBufferSequence>
    std::size_t write_some(
        const ConstBufferSequence & buffers,
        asio::error_code & ec);

This function is used to write data on the stream. The function call will block until one or more bytes of data has been written successfully, or until an error occurs.

###### Parameters

buffers

  The data to be written to the stream.

ec

  Set to indicate what error occurred, if any.

###### Return Value

The number of bytes written. Returns 0 if an error occurred.

###### Remarks

The write_some operation may not transmit all of the data to the peer. Consider using the `write` function if you need to ensure that all data is written before the blocking operation completes.